<?php
/*
Plugin Name: tigaman webdesign - Add a meta description
Plugin URI: https://www.tigaman.com/
Description: Add a meta description to the wordpress header.
Version: 1.0
Author: tigaman webdesign
Author URI: https://www.tigaman.hu
License: GPL2
Copyright: tigaman webdesign
*/
?>
<?php
function custom_get_excerpt($post_id) {
    $temp = $post;
    $post = get_post( $post_id );
    setup_postdata( $post );

    $excerpt = esc_attr(strip_tags(get_the_excerpt()));
    
    wp_reset_postdata();
    $post = $temp;

    return $excerpt;
}

function custom_add_meta_description_tag() {
?>
<meta name="description" content="<?php if ( is_single() || is_page() ) {
	$excerpt = custom_get_excerpt(get_the_ID());
        echo $excerpt;
    } else {
        bloginfo('description');
    }
    ?>" />
<?php 
}
add_action('wp_head', 'custom_add_meta_description_tag', 10000);
function trim_excerpt($text){
    return rtrim(str_replace('[&hellip', '', $text), '[...]');
}
add_filter('get_the_excerpt', 'trim_excerpt');
?>